%%=================================================================
%%
%% cau-thesis.cls (Mar 02, 2001)
%%
%% Document class for CAU thesis with HLaTeX-0.98
%%
%% Modified By Choi, Jae-Hoon (goopy74@yahoo.com)
%%
%% Note 1: Required Packages: HLaTeX0.98 and setspace.
%%      2: The class file follws the guide distributed by
%%         the office of the academic affairs in CAU.
%%      3: The class file is based on kaist.cls 96/01/13 version
%%         made by Jae Choon Cha.
%%      4: The class file is based on kaist-thesis.cls 98/11/23
%%         version made by Jin-Hwan, Cho.
%%
%%================================================================
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cau-thesis}[2001/03/02 Document class for CAU thesis with HLaTeX-0.98]
%%
\RequirePackage{hfont}
%%
\ExecuteOptions{12pt,oneside,a4paper}
\DeclareOption{korean}{\gdef\@korean{}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
%%
\ProcessOptions
%%
\LoadClass{report}
%%
\AtBeginDocument{\make@covertitle}
%%
\topmargin=0mm
%\advance\topmargin 19mm        % comment out if want exact top margin
\oddsidemargin=-2mm
%\advance\oddsidemargin 10mm    % comment out if want exact left margin
\evensidemargin=\oddsidemargin
\textwidth=192mm
\advance\textwidth by-60mm
%\textheight=262mm
\textheight=252mm
\advance\textheight by-60mm
\footskip=13mm
\headheight=0mm
\headsep=0mm
\overfullrule=0pt
%%
\def\bibname{References}
\def\summaryname{  }
\def\ackname{   }
\def\vitaname{  }
\def\esummaryname{Summary in Korean}
\def\eackname{Acknowledgement in Korean}
\def\evitaname{Curriculum Vitae in Korean}
%%
\def\code#1{\def\@code{#1}}
\def\gcount#1{\def\@gcount{#1}}
\def\edegree#1{\def\@edegree{#1}}
\def\edept#1{\def\@edept{#1}}
\def\kdept#1{\def\@kdept{#1}}
\def\emajor#1{\def\@emajor{#1}}
\def\kmajor#1{\def\@kmajor{#1}}
\def\etitle#1{\def\@etitle{#1}}
\def\ktitle#1{\def\@ktitle{#1}}
\def\advisor#1{\def\@advisor{#1}}
\def\coadvisor#1{\def\@coadvisor{#1}}
\def\ename#1{\def\@ename{#1}}
\def\kname#1{\def\@kname{#1}}
\def\cname#1{\def\@cname{#1}}
\def\studentid#1{\def\@studentid{#1}}
\def\coveryear#1{\def\@coveryear{#1}}
\def\advisorsigndate#1#2#3{\def\@advisorsigndate{#1. #2. #3.}}
\def\refereesigndate#1#2#3{\def\@refereesigndate{#1 #2 #3}}
\def\refereeA#1{\def\@refereeA{#1}}
\def\refereeB#1{\def\@refereeB{#1}}
\def\refereeC#1{\def\@refereeC{#1}}
\def\refereeD#1{\def\@refereeD{#1}}
\def\refereeE#1{\def\@refereeE{#1}}
\def\npages#1{\def\@npages{#1}}
\def\@npages{\pageref{paperlastpagelabel}}
\def\D@char{D}
\def\split@code#1#2\eop{\def\@md{#1}\def\@dept{#2}}
%%
\def\insert@hss#1#2{#1#2\hss}
\def\maketitlebreakwork{\def\titlebreak{\\\ignorespaces}}
\def\maketitlebreaknotwork{\def\titlebreak{\ }}
\maketitlebreaknotwork
\pagestyle{plain}
%%
\def\make@covertitle{%
  \ifx\@korean\@@@@undefined@@@@\else
    \def\contentsname{ }
    \def\listfigurename{   }
    \def\listtablename{ǥ  }
    \def\refname{   }
    \def\bibname{   }
    \def\figurename{׸}
    \def\tablename{ǥ}
  \fi
  \expandafter\split@code\@code\eop
  \ifx\D@char\@md\def\@kdegree{}\else\def\@kdegree{}\fi
% ǥ(Front Cover)
  \thispagestyle{empty}
  \vbox to\textheight{%
    \begin{flushleft}
    \maketitlebreakwork\leavevmode%
    \makebox[27mm][s]{\fontsize{17}{34pt}\selectfont\expandafter{ }\@gcount{ }}\hspace{5mm}
    \makebox[40mm][s]{\fontsize{17}{34pt}\selectfont\expandafter\@kdegree{    }}\\
    \makebox[27mm][s]{\fontsize{17}{34pt}\selectfont\expandafter{   }}\hspace{5mm}
    \makebox[40mm][s]{\fontsize{17}{34pt}\selectfont\expandafter\@advisor}\\
    \end{flushleft}
    \vspace{1cm}
    \begin{center}
    \fontsize{20.74}{35pt}\selectfont\@ktitle\\[5mm]
    \fontsize{18}{30pt}\selectfont\@etitle\\
    \vfill
    \fontsize{20.74}{30pt}\selectfont    \hspace{5mm}   \\
    \fontsize{17}{30pt}\selectfont
    \@kdept{ }\@kmajor{ }\\
    \makebox[5cm][s]{\@kname}\\
    \@coveryear
    \maketitlebreaknotwork
    \end{center}
  }
% ǥ(,  )
  \newpage\thispagestyle{empty}
  \vbox to\textheight{%
    \vspace*{30mm}
    \begin{center}
    \maketitlebreakwork
    \fontsize{20.74}{35pt}\selectfont\@ktitle\\[5mm]
    \fontsize{18}{30pt}\selectfont\@etitle
    \vfill
      \@kdegree  \\[1cm]
    \@coveryear\\[2cm]
    \fontsize{20.74}{30pt}\selectfont    \hspace{5mm}   \\
    \fontsize{17}{30pt}\selectfont
    \@kdept{ }\@kmajor{ }\\
    \makebox[5cm][s]{\@kname}
    \maketitlebreaknotwork
    \end{center}
  }
%  ɻϷ ( )
  \newpage\thispagestyle{empty}
  \vbox to\textheight{%
  % \vbox to(\textheight+10mm){%
    \vspace*{15mm}
    \fontsize{20.74}{35pt}\selectfont\@kname \@kdegree   \\[15mm]
    \begin{flushright}
    \fontsize{17}{30pt}\selectfont
    \makebox[3cm][s]{    }\hspace{5mm}\underline{\hspace{40mm}} \\
    \makebox[3cm][s]{   }\hspace{5mm}\underline{\hspace{40mm}} \\
    \makebox[3cm][s]{   }\hspace{5mm}\underline{\hspace{40mm}} \\
    \ifx \D@char\@md
    \makebox[3cm][s]{   }\hspace{5mm}\underline{\hspace{40mm}} \\
    \makebox[3cm][s]{   }\hspace{5mm}\underline{\hspace{40mm}} \\
    \fi
    \end{flushright}
    \vfill
    \begin{center}
    \fontsize{20.74}{30pt}\selectfont    \hspace{5mm}   \\
    \fontsize{17}{30pt}\selectfont
    \@kdept{ }\@kmajor{ }\\
    \makebox[5cm][s]{\@kname}\\
    \@coveryear
    \end{center}
  }
\clearpage\newpage
} % end of \make@covertitle

\def\@chapapp{}
\def\@makechapterhead#1{%
  \vspace*{5mm}%
  {\parindent=0pt
    \begin{center}
    \ifnum\c@secnumdepth>\m@ne\LARGE\bfseries\@chapapp{ }\thechapter{  }\fi
    \LARGE\bfseries#1\par\nobreak
    \vspace{5mm}
    \end{center}%
  }%
}
\def\@makeschapterhead#1{%
  \vspace*{5mm}%
  {\parindent=0pt
    \begin{center}
    \LARGE\bfseries#1\par\nobreak
    \vspace{5mm}
    \end{center}%
  }%
}
\def\section{\@startsection {section}{1}{\z@}%
  {3.5ex plus 1ex minus .2ex}%
  {2.3ex plus .2ex}%
  {\normalfont\Large\bfseries}}
\def\subsection{\@startsection{subsection}{2}{\z@}%
  {3.25ex plus 1ex minus .2ex}%
  {1.5ex plus .2ex}%
  {\normalfont\large\bfseries}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}%
  {3.25ex plus 1ex minus .2ex}%
  {1em}%
  {\normalfont\bfseries}}

%  

% ǥ  ׸ (Tables and Figures)
\def\makelist{%
%  {\let\thispagestyle\@gobble \tableofcontents}%
  \pagenumbering{roman}\setcounter{page}{4}
  \listoffigures
  \listoftables%
}

% (Contents)
\def\makecontents{%
%  {\let\thispagestyle\@gobble \tableofcontents}%
  \tableofcontents
  \newpage\pagenumbering{arabic}%
}

\def\appendix{%
  \par\setcounter{chapter}{0}\setcounter{section}{0}
  \ifx\@korean\@@@@undefined@@@@\def\@chapapp{Appendix}\else\def\@chapapp{ }\fi
  \def\thechapter{\Alph{chapter}}%
}

% (Summary,  ܱ 츸 ۼ)
\def\summary{%
  \chapter*{\summaryname}
  \ifx\@korean\@@@@undefined@@@@
  \addcontentsline{toc}{chapter}{\esummaryname}
  \else
  \addcontentsline{toc}{chapter}{\summaryname}
  \fi
  \begin{center}
  \fontsize{14}{21pt}\selectfont{\maketitlebreakwork\bfseries\@ktitle\maketitlebreaknotwork}
  \end{center}
  \vspace*{5mm}%
}

% (References)
\def\thebibliography#1{%
  \chapter*{\bibname\@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}}%
  \addcontentsline{toc}{chapter}{\bibname}%
  \list{\@biblabel{\@arabic\c@enumiv}}%
  {\settowidth\labelwidth{\@biblabel{#1}}%
  \leftmargin\labelwidth
  \advance\leftmargin\labelsep
  \itemsep\medskipamount
  \@openbib@code
  \usecounter{enumiv}%
  \let\p@enumiv\@empty
  \renewcommand\theenumiv{\@arabic\c@enumiv}}%
  \sloppy
  \clubpenalty4000
  \@clubpenalty \clubpenalty
  \widowpenalty4000%
  \sfcode`\.\@m%
}

% ʷ(Abstract,  ۼ)
\def\abstract{%
  %\pagenumbering{roman}\setcounter{page}{4}
  \addcontentsline{toc}{chapter}{Abstract}
  \vspace*{10mm}
  \begin{center}
    \fontsize{17}{25pt}\selectfont\bfseries Abstract
  \end{center}
  \vspace{10mm}
  \advance\linewidth by-30mm
  \begin{flushright}
  \parbox[t]{\linewidth}{\sffamily\grfamily\fontsize{10}{12pt}\selectfont
    \begin{flushright}
    \@ename\\
    Department of \@edept\\
    Graduate School of Chung-Ang University
    \end{flushright}
  }\\[1cm]
  \end{flushright}
}
\def\endabstract{\newpage}

% Ǹ(Acknowledgement)
\def\acknowledgement{%
  \label{paperlastpagelabel}
  \chapter*{\ackname}
  \thispagestyle{empty}\pagestyle{empty}
%  \ifx\@korean\@@@@undefined@@@@
%  \addtocontents{toc}{\protect\contentsline{chapter}{\eackname}{}}
%  \addcontentsline{toc}{chapter}{\eackname}%
%  \else
%  \addtocontents{toc}{\protect\contentsline{chapter}{\ackname}{}}
%  \addcontentsline{toc}{chapter}{\ackname}%
%  \fi
}

%  

% ǥ(Back Cover)

\endinput
